Release short positions

POST https://api.cryptohopper.com/v1/hopper/{id}/short/release

Removes the hold from the given short positions.

OAuth scope: read manage About scopes

position_id is an array of short position IDs. Not available for exchange arbitrage, market maker, copy, grid and AI bots.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/short/release" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"position_id":[223344,223345]}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Request body

JSON, model PositionReleasePOST

FieldTypeRequiredDescription
position_idarray of integerRequired

Response

Example response (illustrative values)

{
    "data": "Release has been set for short positions."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.